Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1735747 - glibc: malloc_info updates
Summary: glibc: malloc_info updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: ---
Hardware: All
OS: All
low
low
Target Milestone: rc
: 8.2
Assignee: Arjun Shankar
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1755139 1746913
TreeView+ depends on / blocked
 
Reported: 2019-08-01 11:46 UTC by Florian Weimer
Modified: 2020-09-20 13:32 UTC (History)
8 users (show)

Fixed In Version: glibc-2.28-79.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:50:14 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1828 0 None None None 2020-04-28 16:50:50 UTC
Sourceware 24867 0 P2 RESOLVED Unintended malloc_info formatting changes 2020-04-28 04:22:37 UTC

Description Florian Weimer 2019-08-01 11:46:48 UTC
malloc_info prints unwanted whitespace for size lines.

This is a minor regression from Red Hat Enterprise Linux 7.

Comment 2 Carlos O'Donell 2019-08-29 13:35:34 UTC
commit b0f6679bcd738ea244a14acd879d974901e56c8e
Author: Florian Weimer <fweimer@redhat.com>
Date:   Thu Aug 1 14:06:24 2019 +0200

    malloc: Remove unwanted leading whitespace in malloc_info [BZ #24867]
    
    It was introduced in commit 6c8dbf00f536d78b1937b5af6f57be47fd376344
    ("Reformat malloc to gnu style.").
    
    Reviewed-by: Carlos O'Donell <carlos@redhat.com>

Comment 9 Florian Weimer 2019-10-22 13:25:53 UTC
We should backport this additional commit:

commit b6d2c4475d5abc05dd009575b90556bdd3c78ad0
Author: Niklas Hambüchen <mail@nh2.me>
Date:   Thu Aug 8 22:02:27 2019 +0200

    malloc: Fix missing accounting of top chunk in malloc_info [BZ #24026]
    
    Fixes `<total type="rest" size="..."> incorrectly showing as 0 most
    of the time.
    
    The rest value being wrong is significant because to compute the
    actual amount of memory handed out via malloc, the user must subtract
    it from <system type="current" size="...">. That result being wrong
    makes investigating memory fragmentation issues like
    <https://bugzilla.redhat.com/show_bug.cgi?id=843478> close to
    impossible.

Comment 12 Sergey Kolosov 2020-02-07 20:18:38 UTC
No additional whitespaces/tabs have been found in tst-malloc_info.out.

Comment 14 errata-xmlrpc 2020-04-28 16:50:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1828


Note You need to log in before you can comment on or make changes to this bug.